Subject: Re: [bug#44988] [PATCH] gnu: vdirsyncer: Use a more recent version of python-requests-toolbelt.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 07 Dec 2020 09:51:59 +0100

Hi,

Excerpts from Ludovic Courtès's message of December 6, 2020 11:24 pm:
> Tanguy Le Carrour <[email-masked]> skribis:
>> The reason for this patch is that `vdirsyncer` conflicts with some
>> packages using a more recent version of `python-requests-toolbelt`. For instance `poetry`.
>>
>> But suddenly, I'm not sure any more that this is the proper way of fixing this
>> kind of problem…
> 
> You mean that it conflicts when installing those packages all in the
> same profile?

Yeah, sorry, I should have included the error message!

```
$ guix package -i poetry
The following package will be installed:
   poetry 1.1.4

guix package: error: profile contains conflicting entries for python-requests-toolbelt
guix package: error:   first entry: [email-masked] /gnu/store/gqx0ssh217cczj3fi88k5545mcb8cn80-python-requests-toolbelt-0.9.1
guix package: error:    ... propagated from [email-masked]
guix package: error:   second entry: [email-masked] /gnu/store/9pgb39jybc823cbr0ajqp93cxnh2pn4m-python-requests-toolbelt-0.8.0
guix package: error:    ... propagated from [email-masked]
hint: Try upgrading both `poetry' and `vdirsyncer', or remove one of them from the profile.
```

> Overall the criterion should be to choose a version that works well with
> vdirsyncer, and to be consistent in the package collection.  IOW, the
> non-default version of ‘python-requests-toolbelt’ should be the
> exception.
> Does that make sense?

Yes it does! Thanks… but I'm still struggling with the why and when
of package versions! But, as it is related to my questions in
"Poetry upgrade and related packages", I'll elaborate there!

Regards,

-- 
Tanguy